#pragma once
#include<string>
#include "Struct.h"
#include<vector>

class MeshLoader {
public:
	virtual void LoadMesh(const std::string&) = 0;
	std::vector<Node>& GetNodes();
	std::vector<FiniteElement>& GetFE();
	std::vector<BoundaryFiniteElement>& GetBFE();
	std::vector<FiniteElement> findFE(size_t id1, size_t id2, size_t id3);



protected:
	std::vector<Node> nodes;
	std::vector<FiniteElement> finiteElements;
	std::vector< BoundaryFiniteElement> boundaryFiniteElements;
};
